For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
      • GETReturns all companies.
      • POSTCreates a new company.
      • GETReturns all company industries that are currently in use.
      • GETReturns the company with the specified id.
      • PUTUpdates the company with the specified id.
      • GETReturns the contact infos of the company with the specified id.
      • POSTCreates a new contact info for the company with the specified id.
      • GETReturns the specified contact info of the company with the specified id.
      • PUTUpdates the contact info for the company with the specified id.
      • DELDeletes the contact info of the company with the specified id.
      • POSTDeletes the company with the specified id.
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCompanies

Deletes the company with the specified id.

POST
https://api.awork.com/api/v1/companies/:companyId/delete
POST
/api/v1/companies/:companyId/delete
$curl -X POST https://api.awork.com/api/v1/companies/companyId/delete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "deleteOperation": "delete-only-company"
>}'
1{}
There are several ways to delete a company. Look into the property description of the post model to get detailed information. <br />If the post is executed without a model, the default process 'delete-only-company' will be executed. <br />For the operation 'delete-all-without-timeentries' project-master-data write permissions are required on all projects of the company. <Check title="Required Permissions" icon="key">The user must be an admin or have `company-master-data:write` permissions.</Check>
Was this page helpful?
Previous

Removes a tag from all companies.

Next
Built with

There are several ways to delete a company. Look into the property description of the post model to get detailed information.
If the post is executed without a model, the default process ‘delete-only-company’ will be executed.
For the operation ‘delete-all-without-timeentries’ project-master-data write permissions are required on all projects of the company.

Required Permissions
The user must be an admin or have company-master-data:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequiredformat: "uuid"
The id of the company.

Request

The model describing how to delete the company.
moveToCompanystring or nullOptionalformat: "uuid"

Moves all related objects to this company. Related projects and tasks (including their time entries) will be connected to this company. Have to set if ‘DeleteOperation’ contains ‘move’.

deleteOperationstring or nullOptional

Defines the operation to delete a company. Possible operations are ‘move’: Move related objects to another company. ‘delete-only-company’: Delete only the company. Related objects loose the company information. ‘delete-all-without-timeentries’: Delete all related objects apart from time entries. ‘delete-all’: Delete all.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error